/* ======================================================================
     "bx1fitPlls.h"
       - header file for "bx1fitPlls.cc"
             Copyright (c) 2005       by A. Miyoshi, Univ. Tokyo
 ====================================================================== */

#ifndef _BX1FITPLLS_H_
#define _BX1FITPLLS_H_

#include "libnumLls.h"

/* ----- local constants and classes ------------------------ */

enum errcode { ERRusage, INVopt, FAILopen, READerr, INVdegd,
               INVfunc, INVdata, NOOPTfunc, NOXYdata, UNKNkey,
               NOTps, NOTfs };

class contInput {
 public:
  vector<string> title, contPar;
  void clear() { title.clear(); contPar.clear(); }
};

/* ----- local functions ------------------------------------ */

int read_input(string &basfln, multiVarLLS &mLLS, vector<int> &dgd,
 contInput &cnt, int &ops, int &ofs);
void reform_funcstr(vector<string> &fnforms, vector<int> &dgd);
void write_results(vector<double> &mlp, vector<double> &sdp,
 vector<vector<double> > &pcc, vector<string> &fnforms,
 vector<double> &ffc);
int write_potpars(string &basfln, powFourSer &pp, contInput &cnt);
int errms(errcode ec, string ms = "");

#endif
