/* ---------------------------------------------------------------------
     "wcpp_zhbev.h" - header for C++ wrapper for LAPACK ZHBEV
             Copyright (c) 2005       by A. Miyoshi, Univ. Tokyo
--------------------------------------------------------------------- */
#ifndef _WCPP_ZHBEV_H_
#define _WCPP_ZHBEV_H_

#include <complex>
using namespace std;

#ifdef _WIN32
#define ENT_ZHBEV ZHBEV
#else
#define ENT_ZHBEV zhbev_
#endif

extern "C" {
  void ENT_ZHBEV(char &jobz, char &uplo, int &n, int &kd,
   complex<double> **ab, int &ldab, double *w, complex<double> **z,
   int &ldz, complex<double> *work, double *rwork, int &info);
}

int lapack_zhbev(char jobz, char uplo, int n, int kd,
 complex<double> **ab, int ldab, double *w, complex<double> **z, int ldz,
 complex<double> *work, double *rwork);

#endif
